/*------------------------------------------------------------------------------*/
/* Category Header
/*------------------------------------------------------------------------------*/

.CategoryHeader {
	overflow: hidden;
}

.CategoryImage {
	background-color: var(--background-color-shade-1);
	border-radius: var(--border-radius-images);
	margin: var(--default-margin);
	overflow: hidden;
	position: relative;
	z-index: 1;
}

.CategoryImage .AspectRatio {
	--aspect-ratio: 1400 / 156;
	position: relative;
}

.CategoryImage.ImageHeightLow .AspectRatio {
	--aspect-ratio: 20%;
}

.CategoryImage.ImageHeightHigh .AspectRatio {
	--aspect-ratio: 50%;
}

.CategoryImage img {
	height: 100%;
	object-fit: cover;
	width: 100%;
	position: relative;
}

.CategoryImageFullWidth {
	margin-bottom: 0;
	margin-inline: auto;
	max-width: var(--full-width-limit);
	width: 100%;
}

.CategoryImageFullWidth {
	border-radius: 0;
}

.CategoryImageLink {
	bottom: 0;
	left: 0;
	position: absolute;
	right: 0;
	top: 0;
}

.CategoryLogo {
	align-items: center;
	aspect-ratio: 4/3;
	border: 1px solid var(--border-color);
	border-radius: var(--border-radius);
	display: flex;
	float: right;
	justify-content: center;
	margin-left: .5rem;
	max-width: 200px;
	min-width: 100px;
	width: 20%; 
}

.CategoryLogo img {
	object-fit: contain;
	padding: 5%;
}

.CategoryDescription {
	/*max-width: 90ch;*/
	margin-bottom: 20px;
}

@media screen and (max-width: 550px) {
	.CategoryImage .AspectRatio::before {
		padding-top: calc(var(--aspect-ratio) * 1.5);
	}
}
